<?php 
class WCPST_StatsPage
{
	public function __construct()
	{
	} 
	
	public function render_page()
	{
		global $wp_scripts;
		//$wp_scripts->queue = array();	
		
		wp_enqueue_style('wcpst-select2', WCPST_PLUGIN_URL.'/css/vendor/select2.css');		
		wp_enqueue_style('datepicker-classic', WCPST_PLUGIN_URL.'/css/vendor/datepicker/classic.css');   
		wp_enqueue_style('datepicker-date-classic', WCPST_PLUGIN_URL.'/css/vendor/datepicker/classic.date.css');   
		wp_enqueue_style('datepicker-time-classic', WCPST_PLUGIN_URL.'/css/vendor/datepicker/classic.time.css'); 
		wp_enqueue_style('wcpst-ui-table', WCPST_PLUGIN_URL.'/css/vendor/jquery.dataTables.min.css');	
		wp_enqueue_style('wcpst-common', WCPST_PLUGIN_URL.'/css/wcpst-common.css'); 
		wp_enqueue_style('wcpst-stats-page', WCPST_PLUGIN_URL.'/css/wcpst-admin-stats-page.css'); 
		
		wp_enqueue_script (  'jquery'  ) ;
		wp_enqueue_script('wcpst-ui-chart', WCPST_PLUGIN_URL.'/js/vendor/Chart.min.js', array( 'jquery' ));
		wp_enqueue_script('wcpst-ui-chart-stackedbar', WCPST_PLUGIN_URL.'/js/vendor/Chart.StackedBar.js', array( 'jquery' ));
		wp_enqueue_script('wcpst-ui-picker', WCPST_PLUGIN_URL.'/js/vendor/picker.js', array( 'jquery' ));
		wp_enqueue_script('wcpst-ui-timepicker', WCPST_PLUGIN_URL.'/js/vendor/picker.date.js', array( 'jquery' ));
		wp_enqueue_script('wcpst-ui-table', WCPST_PLUGIN_URL.'/js/vendor/jquery.dataTables.min.js', array('jquery'));
		//wp_enqueue_script('wcpst-ui-drag-drop', WCPST_PLUGIN_URL.'/js/vendor/interact.min.js', array('jquery'));
		wp_enqueue_script('wcpst-ui-products-categories-autocomplete', WCPST_PLUGIN_URL.'/js/admin-products-categories-autocomplete.js', array('jquery'));
		wp_enqueue_script('wcpst-products-stats', WCPST_PLUGIN_URL.'/js/admin-stats-page.js', array('jquery'));
		//wp_enqueue_script('wcpst-products-drag-drop', WCPST_PLUGIN_URL.'/js/admin-stats-page-drag-drop.js', array('jquery'));
		wp_enqueue_script('wcpst-products-chart-earnings', WCPST_PLUGIN_URL.'/js/admin-stats-page-chart-earnings-per-period.js', array('jquery'));
		wp_enqueue_script('wcpst-products-chart-geo-earnings', WCPST_PLUGIN_URL.'/js/admin-stats-page-chart-geo-per-period.js', array('jquery'));
		wp_enqueue_script('wcpst-products-chart-customers-earnings', WCPST_PLUGIN_URL.'/js/admin-stats-page-chart-customers-per-period.js', array('jquery'));
		wp_enqueue_script('wcpst-products-chart-payment-methods-earnings', WCPST_PLUGIN_URL.'/js/admin-stats-page-chart-payment-methods-per-period.js', array('jquery'));
		wp_enqueue_script('wcpst-products-chart-related-products', WCPST_PLUGIN_URL.'/js/admin-stats-page-chart-related-per-period.js', array('jquery'));
		?>
		<script>
			jQuery.fn.select2=null;
		</script>
		<script type='text/javascript' src='<?php echo WCPST_PLUGIN_URL.'/js/vendor/select2.min.js'; ?>'></script>
		
		<div id="wcpst_add_new_product_box" class="white_box">
			<h3><?php _e('Select product','woocommerce-product-stats'); ?></h3>
			<p><?php _e('Select a product then click on the add button, this will add a new product card where will be displayed all its stats.','woocommerce-product-stats'); ?></p>
			<select id="wcpst_proudct_select" class="js-data-products-ajax" ></select>
			<button id="wcpst_add_new_product" class="button button-primary"><?php _e('Add','woocommerce-product-stats'); ?></button>
			<div id="wcpst_loader" style="background-image: url('<?php echo WCPST_PLUGIN_URL;?>/img/loader.gif');"> </div>
		</div>
		
		<!-- Common js -->
		<script>
		var wcpst_date_error = "<?php _e('Start date cannot be greater than End date.', 'woocommerce-product-stats'); ?>";
		var wcpst_currency = "<?php echo get_woocommerce_currency_symbol(); ?>"; 
		var wcpst_yes = "<?php _e('Yes', 'woocommerce-product-stats'); ?>"; 
		var wcpst_no = "<?php _e('No', 'woocommerce-product-stats'); ?>"; 
		var wcpst_flags_path = "<?php echo WCPST_PLUGIN_URL.'/img/flags/'; ?>";
		var wcpst_preselected_product = <?php if(isset($_GET['product_id'])) echo $_GET['product_id']; else echo -1; ?>
		</script>
		<!-- end -->
		
		<div id="wcpst_product_cards_container">
		</div>
		<?php
	}
}
?>