<?php 
class WCPST_Option
{
	public function __construct(){}
	
	function get_general_options()
	{
		add_filter('acf/settings/current_language',  array(&$this, 'cl_acf_set_language'), 100);
		
		$all_data = array();
		$all_data['time_span_for_related_computation'] = get_field('wcpst_time_span_for_related_computation', 'option') ? get_field('wcpst_time_span_for_related_computation', 'option') : 12; 
		$all_data['disable_default_related_list_override'] = get_field('wcpst_disable_default_related_list_override', 'option') ? get_field('wcpst_disable_default_related_list_override', 'option') : 'no'; 
		$all_data['if_the_computed_related_list_is_empty'] = get_field('wcpst_if_the_computed_related_list_is_empty', 'option') ? get_field('wcpst_if_the_computed_related_list_is_empty', 'option') : 'empty'; 
		
		remove_filter('acf/settings/current_language', array(&$this,'cl_acf_set_language'), 100);
		
		return $all_data;
	}
	function cl_acf_set_language() 
	{
	  return acf_get_setting('default_language');
	}
}
?>