jQuery(document).ready(function()
{
	jQuery('#wcpst_add_new_product').click(wcpst_addNewProductCard);
	if(wcpst_preselected_product > 0)
		wcpst_addNewProductCard(null);
});

function wcpst_addNewProductCard(event)
{
	var product_id = event != null ? jQuery('#wcpst_proudct_select').val() : wcpst_preselected_product;
	if(product_id == null)
		return;
	
	var formData = new FormData();
	formData.append('action', 'render_product_card');
	formData.append('product_id', product_id);
	
	//UI
	wcpst_on_card_add_transition_out();
	
	jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: formData,
		async: true,
		success: function (data) 
		{
			jQuery('#wcpst_product_cards_container').append(data);	
			//wcpst_init_drop();
			//UI
			wcpst_on_card_add_transition_in();
		},
		error: function (data) {
			alert("Error: "+data);
		},
		cache: false,
		contentType: false,
		processData: false
	});
	return false;
}
function wcpst_remove_card(event)
{
	event.preventDefault();
	event.stopImmediatePropagation();
	var id = jQuery(event.currentTarget).data('id');
	
	//smooth scroll
	 jQuery('html, body').animate({
		scrollTop: jQuery('#wcpst_product_card_'+id).offset().top-100
	}, 800, function()
			{
				jQuery('#wcpst_product_card_'+id).remove();
			});
	
	
	return false;
}
function wcpst_on_card_add_transition_in()
{
	jQuery('#wcpst_loader').animate({opacity: 0}, 200);
	 jQuery('html, body').animate({
		scrollTop: jQuery('.wcpst_product_card:last-child').offset().top - 100
	}, 800);
}
function wcpst_on_card_add_transition_out()
{
	jQuery('#wcpst_loader').animate({opacity: 1}, 200);
}