<?php 
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array (
	'key' => 'group_56d96a2fb4900',
	'title' => 'WooCommerce Products Stats and Related! - Product page - Related products list',
	'fields' => array (
		array (
			'key' => 'field_56d96ab9d371f',
			'label' => 'Disable products related list computation override',
			'name' => 'wcpst_disable_default_related_list_override',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'no' => 'No',
				'yes' => 'Yes',
			),
			'default_value' => array (
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
		),
		array (
			'key' => 'field_56d96b31d3720',
			'label' => 'Select time span used to compute related products list',
			'name' => 'wcpst_time_span_for_related_computation',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				3 => '3 Months',
				6 => '6 Months',
				9 => '9 Months',
				12 => '12 Months',
				18 => '18 Months',
				24 => '24 Months',
				30 => '30 Months',
				36 => '36 Months',
				48 => '48 Months',
				60 => '60 Months',
			),
			'default_value' => array (
				0 => 12,
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
		),
		array (
			'key' => 'field_56d96ed84253c',
			'label' => 'In case the computed related list is empty...',
			'name' => 'wcpst_if_the_computed_related_list_is_empty',
			'type' => 'select',
			'instructions' => 'In case the related list is empty, you can choose to show the default WooCommerce related list.The default related list a list of products belonging to the same category of the current product',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'empty' => 'Do not show anything',
				'category_related' => 'Show default related list',
			),
			'default_value' => array (
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-stats-general-options',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

endif;
?>